# Interface UpdateConversationParameters`Beta`

Parameters object for VonageClient.updateConversation.

Every property is an Option monad. When set to Option.Some the property will be updated. When set to Option.None the property will remain unchanged.

interface UpdateConversationParameters {
customData?: null | CustomData | Option<undefined | null | CustomData>;
customSortKey?: null | string | Option<undefined | null | string>;
displayName?: null | string | Option<undefined | null | string>;
imageUrl?: null | string | Option<undefined | null | string>;
name?: string | Option<string>;
ttl?: number | Option<number>;
}

#####
Index

### Properties

customData?
customSortKey?
displayName?
imageUrl?
name?
ttl?

## Properties

### `Optional` customData

customData?: null | CustomData | Option<undefined | null | CustomData>

Custom data associated with the conversation.

### `Optional` customSortKey

customSortKey?: null | string | Option<undefined | null | string>

A custom sort key for the conversation.

### `Optional` displayName

displayName?: null | string | Option<undefined | null | string>

A display name for the conversation.

### `Optional` imageUrl

imageUrl?: null | string | Option<undefined | null | string>

The URL of an image associated with the conversation.

### `Optional` name

name?: string | Option<string>

The name of the conversation.

### `Optional` ttl

ttl?: number | Option<number>

The time-to-live (TTL) for the conversation in seconds.